> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Tests

> Run all workflow tests for a specific workflow.



## OpenAPI

````yaml post /apps/{app_id}/workflows/{workflow_id}/tests/runs
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/workflows/{workflow_id}/tests/runs:
    post:
      summary: Run Tests
      description: Run all workflow tests for a specific workflow.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the workflow
          name: workflow_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunWorkflowTestsSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/RunWorkflowTestsSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                nullable: true
components:
  schemas:
    RunWorkflowTestsSchema:
      type: object
      properties:
        workflow_version_number:
          type: number
          description: Version number of the workflow on which to run the test
        execute_failed_only:
          type: boolean
          description: Flag to execute only the failed workflow tests
      description: Data to run multiple workflow tests

````